////////////////////////////////////////////////////////////////////////////////
//
//               Groundfire
//
////////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2004, Tom Russell (tom@groundfire.net)
//
// This file is part of the Groundfire project, distributed under the MIT 
// license. See the file 'COPYING', included with this distribution, for a copy
// of the full MIT licence.
//
////////////////////////////////////////////////////////////////////////////////
//
//   File name : main.cc
//
//          By : Tom Russell
//
//        Date : 01-Nov-02
//
// Description : The entry point for the Program
//
//
//
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////////
#include "game.hh"
#include "report.hh"

////////////////////////////////////////////////////////////////////////////////
//
// Function    : main
//
// Description : Entry function
//
////////////////////////////////////////////////////////////////////////////////

int
main
(
    int argc,
    char *argv[]
)
{

    try
    {
        cGame game; 
        
        // keep loopin'
        while (!glfwGetKey (GLFW_KEY_ESC) && 
               glfwGetWindowParam (GLFW_OPENED) &&
               game.loopOnce ());

    }
    catch (...)
    {
        return 1;
    }

    return 0;
}
